Bug 1565160 - Ansible playbook credentials always show default value in SUI
Summary: Ansible playbook credentials always show default value in SUI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.2
Assignee: Allen W
QA Contact: Kedar Kulkarni
URL:
Whiteboard: ansible_embed
Depends On: 1557504
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 14:00 UTC by Satoe Imaishi
Modified: 2018-05-07 20:49 UTC (History)
10 users (show)

Fixed In Version: 5.9.2.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1557504
Environment:
Last Closed: 2018-05-07 20:48:47 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 None None None 2018-05-07 20:49:17 UTC

Comment 2 CFME Bot 2018-04-09 14:06:34 UTC
New commit detected on ManageIQ/manageiq-ui-service/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-service/commit/91a990edc68d01ec8d8b1fa50c885091f4b4daba
commit 91a990edc68d01ec8d8b1fa50c885091f4b4daba
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Thu Apr  5 10:13:29 2018 -0400
Commit:     Martin Hradil <himdel@seznam.cz>
CommitDate: Thu Apr  5 10:13:29 2018 -0400

    Merge pull request #1417 from AllenBW/BZ/#1557504-ansible-credentails

    Refactors ansible credentials to be more generic, override with dialog input
    (cherry picked from commit 9eeaab534f422a4f5bb2b3517f689dd5597ae127)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1565160

 client/app/services/service-details/service-details-ansible.component.js | 33 +-
 1 file changed, 25 insertions(+), 8 deletions(-)

Comment 3 Kedar Kulkarni 2018-04-18 17:07:19 UTC
Verified to be working in 5.9.2.2

Comment 6 errata-xmlrpc 2018-05-07 20:48:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.